Name:           sympow
Version:        1.019
Release:        3%{?dist}
Summary:        Special Values of Symmetric Power Elliptic Curve L-Functions
Group:          Applications/Engineering
License:        BSD
URL:            http://www.maths.bris.ac.uk/~mamjw/
Source0:        http://www.maths.bris.ac.uk/~mamjw/sympow.tar.bz2
Source1:        sympow-README.Fedora
Source2:        sympow-launcher
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  pari-gp


%description
SYMPOW is a program for computing special values of symmetric power
elliptic curve L-functions.


%prep
%setup -q -n SYMPOW-%{version}
cp %{SOURCE1} README.Fedora
cp %{SOURCE2} sympow-launcher


%build
export CFLAGS="%{optflags}"
sh Configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/%{name}/datafiles
# executables
install -m 755 %{name} $RPM_BUILD_ROOT%{_libdir}/%{name}/
install -m 755 new_data $RPM_BUILD_ROOT%{_libdir}/%{name}/
# datafiles
install -m 644 datafiles/* $RPM_BUILD_ROOT%{_libdir}/%{name}/datafiles/
# more datafiles
install -m 644 *.gp $RPM_BUILD_ROOT%{_libdir}/%{name}/

# launcher script
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 755 sympow-launcher $RPM_BUILD_ROOT%{_bindir}/%{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README COPYING README.Fedora
%{_bindir}/%{name}
%{_libdir}/%{name}


%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.019-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Dec 14 2008 Conrad Meyer <konrad@tylerc.org> - 1.019-2
- Make launcher-script multilibs-safe.

* Sun Dec 14 2008 Conrad Meyer <konrad@tylerc.org> - 1.019-1
- Initial package.
